Bug 2567 - Maps should restart showing your previous location, not the country at a zoomed out level
: Maps should restart showing your previous location, not the country at a zoom...
Status: RESOLVED FIXED
Product: Map
General
: 4.1.3 (5.2008.43-7)
: All Linux
: Low enhancement with 2 votes (vote)
: 5.0 (1.2009.41-10)
Assigned To: unassigned
: map-bugs
:
:
: 2566
:
  Show dependency tree
 
Reported: 2007-12-15 16:29 UTC by Andrew Flegg
Modified: 2009-09-07 20:34 UTC (History)
2 users (show)

See Also:


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description Andrew Flegg (reporter) maemo.org 2007-12-15 16:29:55 UTC
STEPS TO REPRODUCE THE PROBLEM:
1) Open the OS2008 Maps application, let the N810 GPS acquire a lock and show
your location.
2) Close Maps.
3) Wait for the GPS icon to disappear from the status bar.
3) Re-open Maps.

EXPECTED OUTCOME:
Previous location shown.

ACTUAL OUTCOME:
A high-level, zoomed out view of the country's maps is shown.

REPRODUCIBILITY:
always

OTHER COMMENTS:
The current behaviour makes it impossible to use the Maps application to
navigate to your destination and then use Maps to look around the area once
you're inside and, say, looking at where to go for lunch etc.
Comment 1 Javier Jardón 2009-03-29 21:46:50 UTC
Still valid in 4.1.3 (5.2008.43-7) maemo release
Comment 2 Andre Klapper maemo.org 2009-05-31 12:57:17 UTC
WONTFIX for Diablo as Diablo will only receive critical fixes and as no more
development is done for Diablo's location framework (bug 2878 comment 139).

Now let's see for Fremantle...
Comment 3 Andre Klapper maemo.org 2009-09-07 20:34:15 UTC
This issue has been FIXED in the internal Fremantle version - at least for me
here it works. :-)

This is a WONTFIX for Diablo as Diablo is in maintenance mode and Nokia will
only provide bugfixes for critical issues if at all.
For your interest the Mer project aims to provide a community backport of
Fremantle for N8x0 devices. See http://wiki.maemo.org/Mer for more information.